JapaneseTokenizer.Mode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.ja.JapaneseTokenizer.Mode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.analysis.ja
Enum JapaneseTokenizer.Mode

    java.lang.Object
      java.lang.Enum<JapaneseTokenizer.Mode>
          org.apache.lucene.analysis.ja.JapaneseTokenizer.Mode

All Implemented Interfaces:
  Serializable, Comparable<JapaneseTokenizer.Mode>

Enclosing class:
  JapaneseTokenizer

    public static enum JapaneseTokenizer.Mode

extends Enum<JapaneseTokenizer.Mode>

Tokenization mode: this determines how the tokenizer handles compound and unknown words.

Enum Constant Summary
`EXTENDED` Extended mode outputs unigrams for unknown words.
`NORMAL` Ordinary segmentation: no decomposition for compounds,
`SEARCH` Segmentation geared towards search: this includes a decompounding process for long nouns, also including the full compound token as a synonym.

Method Summary
`static JapaneseTokenizer.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JapaneseTokenizer.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final JapaneseTokenizer.Mode NORMAL

  Ordinary segmentation: no decomposition for compounds,

### SEARCH

    public static final JapaneseTokenizer.Mode SEARCH

  Segmentation geared towards search: this includes a decompounding process for long nouns, also including the full compound token as a synonym.

### EXTENDED

    public static final JapaneseTokenizer.Mode EXTENDED

  Extended mode outputs unigrams for unknown words.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Detail

### values

    public static final JapaneseTokenizer.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(JapaneseTokenizer.Mode c : JapaneseTokenizer.Mode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static JapaneseTokenizer.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD